export interface SealVO {
  /**
   * id
   */
  id: string | number;

  /**
   * 业务类型
   */
  businessType: string;

  /**
   * 用章时间
   */
  sealDate: string;

  /**
   * 是否外带
   */
  takeOutFlag: string;

  /**
   * 金额
   */
  sealMoney: number;

  /**
   * 备注
   */
  remark: string;

  /**
   * 状态
   */
  status: string;

  /**
   * 附件
   */
  attachment: string;

  /**
   * 公章ids
   */
  sealIds: Array<string | number>;

  /**
   * 文件名称
   */
  fileName: string;

  /**
   * 文件编号
   */
  fileCode: string;

  /**
   * 外带开始时间
   */
  takeOutStartDate: string;

  /**
   * 外带结束时间
   */
  takeOutEndDate: string;

  /**
   * 文件份数
   */
  fileCount: number;

  /**
   * 发起人类别
   */
  initiatorType: number;

        
  /**
   * 外带地址
   */
  takeOutAddress?: string;

  /**
   * 公章名称
   */
  sealInfos?: Array<SealInfo>;

}

export interface SealForm extends BaseEntity {
  /**
   * id
   */
  id?: string | number;

  /**
   * 业务类型
   */
  businessType?: string;

  /**
   * 用章时间
   */
  sealDate?: string;

  /**
   * 是否外带
   */
  takeOutFlag?: string;

  /**
   * 金额
   */
  sealMoney?: number;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 状态
   */
  status?: string;

  /**
   * 附件
   */
  attachment?: string;

  /**
   * 公章ids
   */
  sealIds: Array<string | number>;

    /**
   * 公章名称
   */
  sealNames?: string;

  /**
   * 公章名称
   */
  sealInfos?: Array<object>;

  /**
   * 文件名称
   */
  fileName?: string;

  /**
   * 文件编号
   */
  fileCode?: string;

  /**
   * 外带开始时间
   */
  takeOutStartDate?: string;

  /**
   * 外带结束时间
   */
  takeOutEndDate?: string;

  /**
   * 文件份数
   */
  fileCount?: number;

  /**
   * 发起人类别
   */
  initiatorType?: number;

  /**
   * 外带地址
   */
  takeOutAddress?: string;

}

export interface SealQuery extends PageQuery {

  /**
   * 业务类型
   */
  businessType?: string;

  /**
   * 用章时间
   */
  sealDate?: string;

  /**
   * 是否外带
   */
  takeOutFlag?: string;

  /**
   * 金额
   */
  sealMoney?: number;

  /**
   * 状态
   */
  status?: string;

  /**
   * 附件
   */
  attachment?: string;

  /**
   * 公章id
   */
  sealId?: string | number;

  /**
   * 文件名称
   */
  fileName?: string;

  /**
   * 文件编号
   */
  fileCode?: string;

  /**
   * 外带开始时间
   */
  takeOutStartDate?: string;

  /**
   * 外带结束时间
   */
  takeOutEndDate?: string;

  /**
   * 文件份数
   */
  fileCount?: number;

  /**
   * 发起人类别
   */
  initiatorType?: number;

    /**
     * 日期范围参数
     */
    params?: any;

}

export interface SealInfo extends BaseEntity {
  /**
   * 公章id
   */
  sealId?: string | number;

   /**
   * 公章id
   */
  sealName?: string | number;

}



